//: C07:DequeConversion.cpp {-bor}
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
// Načítání do Deque, převod na vector.
//{L} Noisy
#include <algorithm>
#include <cstdlib>
#include <deque>
#include <iostream>
#include <iterator>
#include <vector>
#include "Noisy.h"
using namespace std;

int main(int argc, char* argv[]) {
  int velikost = 25;
  if(argc >= 2) velikost = atoi(argv[1]);
  deque<Noisy> d;
  generate_n(back_inserter(d), velikost, NoisyGen());
  cout << "\n Převod na vector(1)" << endl;
  vector<Noisy> v1(d.begin(), d.end());
  cout << "\n Převod na vector(2)" << endl;
  vector<Noisy> v2;
  v2.reserve(d.size());
  v2.assign(d.begin(), d.end());
  cout << "\n Úklid" << endl;
} ///:~
